public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/tdb/
Date: Fri, 29 Jul 2016 12:18:11 +0000 (UTC)	[thread overview]
Message-ID: <1469794663.39ecc4ecbb841d9c2d1025f67e7008e3e36e4cba.polynomial-c@gentoo> (raw)

commit:     39ecc4ecbb841d9c2d1025f67e7008e3e36e4cba
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 09:27:56 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jul 29 12:17:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ecc4ec

sys-libs/tdb: Bump to version 1.3.10

Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/tdb/Manifest          |  1 +
 sys-libs/tdb/tdb-1.3.10.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sys-libs/tdb/Manifest b/sys-libs/tdb/Manifest
index cc781f3..ee4a1f0 100644
--- a/sys-libs/tdb/Manifest
+++ b/sys-libs/tdb/Manifest
@@ -1,2 +1,3 @@
+DIST tdb-1.3.10.tar.gz 494907 SHA256 5578fb726bd04835f250bea11fe7d1398fe0bb3a7c9390404241c83cd6b50c1c SHA512 044b0155db7755f271a040d36799a9482ba23fe9685ea7e80dcb4ac70c5aaa0f72ad7cd0c540e5d68e3d8339f795059ae4e0fbf938ad3cb4a73d8b35f25ac206 WHIRLPOOL 45122ba9364b49fe95ad2aadd9d063113a1e18e62b068d9c78c42406679a4c84db451ed4ddc61aa7fd60c2813e2ef712f5df1ef5bcb91567fe8f78bbe9b7191e
 DIST tdb-1.3.8.tar.gz 494106 SHA256 0605ac0427eac9c23bf61ebfd8206a07d5ece198498eab1769cd0cfb6e7de6b1 SHA512 9a7040206bbaae419a296714fe14fcbd3b67c0cef2b0f33563d52336aac2fe814049f5136a148fb049a273bb36fe81e3d777df58869c93f45d6e42b4adf9970b WHIRLPOOL 61070a71aba9b44d5141844ffac6b4657ddc938850934fe00ff7312d9f76e1c318e37764b60fbac255ff5b8dc8d8226f668f80315fccdc67550eeb9bd1c4bc25
 DIST tdb-1.3.9.tar.gz 493585 SHA256 7101f726e6d5c70f14e577b01c133e2e6059c4455239115e56a12ba64fc084d2 SHA512 ee724e54d6eef51cb368bccbf41a1ab326f3b618e8366d8b43b91953a30e4c486842cd7f41b83f613becb1e4117ce4831b1065d6efdcf14bb96b545ef1dd8175 WHIRLPOOL eb27d028b0f09c66e6e64783cd9bbf44d238bf70816879455ae59d268df7dd07ae0f9f4b634ac78224ca9b6b867e711b13cdb9aa75cfb6a2154d447def761d17

diff --git a/sys-libs/tdb/tdb-1.3.10.ebuild b/sys-libs/tdb/tdb-1.3.10.ebuild
new file mode 100644
index 0000000..6f54a5a
--- /dev/null
+++ b/sys-libs/tdb/tdb-1.3.10.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="A simple database API"
+HOMEPAGE="http://tdb.samba.org/"
+SRC_URI="http://samba.org/ftp/tdb/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="
+	${RDEPEND}
+	${PYTHON_DEPS}
+	app-text/docbook-xml-dtd:4.2"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+src_prepare() {
+	default
+	python_fix_shebang .
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	local extra_opts=()
+	if ! multilib_is_native_abi || ! use python; then
+		extra_opts+=( --disable-python )
+	fi
+
+	waf-utils_src_configure \
+		"${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+	# need to avoid parallel building, this looks like the sanest way with waf-utils/multiprocessing eclasses
+	unset MAKEOPTS
+	waf-utils_src_compile
+}
+
+multilib_src_test() {
+	# the default src_test runs 'make test' and 'make check', letting
+	# the tests fail occasionally (reason: unknown)
+	emake check
+}
+
+multilib_src_install() {
+	waf-utils_src_install
+}


             reply	other threads:[~2016-07-29 12:18 UTC|newest]

Thread overview: 107+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-29 12:18 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-14 18:31 [gentoo-commits] repo/gentoo:master commit in: sys-libs/tdb/ Sam James
2024-10-12 17:59 Arthur Zamarin
2024-10-11 20:30 Ben Kohler
2024-10-10 11:04 Arthur Zamarin
2024-10-08 19:37 Arthur Zamarin
2024-10-08 17:38 Sam James
2024-10-08 16:06 Sam James
2024-10-07  2:40 Sam James
2024-06-28 12:36 Ben Kohler
2024-05-29 17:38 Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-29 14:43 Jakov Smolić
2024-05-29 14:43 Jakov Smolić
2024-04-17 16:04 Ben Kohler
2024-04-16 18:07 Ben Kohler
2023-08-02 15:07 Sam James
2023-04-01 16:32 Arthur Zamarin
2023-04-01 16:32 Arthur Zamarin
2023-03-16 17:38 Arthur Zamarin
2023-02-26 19:10 Arthur Zamarin
2023-02-23 20:47 Arthur Zamarin
2023-02-23 20:04 Arthur Zamarin
2023-01-10  3:14 Sam James
2023-01-10  3:14 Sam James
2022-11-20  4:25 Sam James
2022-09-30 11:51 Agostino Sarubbo
2022-09-30 11:49 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-30 11:48 Agostino Sarubbo
2022-09-30 11:46 Agostino Sarubbo
2022-09-30  7:01 Arthur Zamarin
2022-09-30  7:01 Arthur Zamarin
2022-09-30  3:04 Sam James
2022-06-24  7:43 Lars Wendler
2022-01-24 22:35 Lars Wendler
2022-01-02 17:49 David Seifert
2021-11-06 20:46 Sam James
2021-11-05 12:15 Lars Wendler
2021-10-30 17:29 Sam James
2021-10-30 17:24 Agostino Sarubbo
2021-10-30 17:22 Agostino Sarubbo
2021-10-29 18:32 Sam James
2021-10-29 18:32 Sam James
2021-10-29 18:30 Sam James
2021-10-29 18:30 Sam James
2021-07-25 10:52 David Seifert
2021-07-15  9:49 Lars Wendler
2021-05-31 17:49 David Seifert
2021-01-25 16:19 Andreas Sturmlechner
2021-01-09 20:57 Lars Wendler
2020-06-27 20:45 Andreas K. Hüttel
2020-03-26 19:06 Lars Wendler
2020-03-26 18:01 Sergei Trofimovich
2020-02-13 12:46 Agostino Sarubbo
2020-02-13 12:38 Agostino Sarubbo
2020-02-13 12:27 Agostino Sarubbo
2020-02-13 12:19 Agostino Sarubbo
2020-02-13 12:10 Agostino Sarubbo
2020-02-13 12:03 Agostino Sarubbo
2019-12-17 13:50 Lars Wendler
2019-08-23 19:11 Lars Wendler
2019-08-23 19:11 Lars Wendler
2019-07-05 22:27 Sergei Trofimovich
2019-06-04 21:00 Agostino Sarubbo
2019-04-23  0:13 Aaron Bauman
2019-03-25 15:00 Lars Wendler
2019-03-25 15:00 Lars Wendler
2019-02-28 11:51 Lars Wendler
2019-02-28 11:51 Lars Wendler
2019-01-16 21:30 Lars Wendler
2018-11-07 23:28 Sergei Trofimovich
2018-10-26  0:52 Thomas Deutschmann
2018-10-25 17:15 Mikle Kolyada
2018-07-13 14:14 Lars Wendler
2018-07-13 14:14 Lars Wendler
2018-04-28 20:08 Mikle Kolyada
2017-11-09 22:05 Mike Gilbert
2017-09-19 23:31 Lars Wendler
2017-07-06 12:43 Lars Wendler
2017-07-06 12:43 Lars Wendler
2017-06-21 11:57 Agostino Sarubbo
2017-06-10 13:45 Agostino Sarubbo
2017-05-27 13:23 Tobias Klausmann
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-26 13:48 Agostino Sarubbo
2017-04-28 10:24 Lars Wendler
2017-04-28 10:24 Lars Wendler
2016-12-08 11:45 Lars Wendler
2016-12-08 11:45 Lars Wendler
2016-09-06 14:40 Lars Wendler
2016-09-06 14:40 Lars Wendler
2016-04-12 20:09 Lars Wendler
2016-03-29 12:41 Lars Wendler
2016-01-12  7:25 Jeroen Roovers
2016-01-09  6:26 Agostino Sarubbo
2016-01-08  8:37 Agostino Sarubbo
2016-01-08  8:36 Agostino Sarubbo
2016-01-07 20:30 Markus Meier
2016-01-07 10:14 Agostino Sarubbo
2016-01-07 10:14 Agostino Sarubbo
2015-12-29 11:43 Agostino Sarubbo
2015-12-29 11:43 Agostino Sarubbo
2015-11-23 11:02 Lars Wendler
2015-11-23 11:02 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1469794663.39ecc4ecbb841d9c2d1025f67e7008e3e36e4cba.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox